if (typeof(djConfig) == 'undefined') {
	var djConfig = {};
}

(function() {
	var api_url = "http://incil.info/api";

	var incilinfo_init = function() {
		dojo.addClass(dojo.body(), "tundra");
		dojo.require('dojo.io.script');
		ayetbulucu();
	}

	var ayetbulucu = function () {
		dojo.require("dijit.Tooltip");

		dojo.addOnLoad(function(){
			dojo.query(".incilinfo_ayet").forEach(function(ayet){
				var query = dojo.hasAttr(ayet, 'incilReferans') ? dojo.attr(ayet, 'incilReferans') : ayet.innerHTML;
				dojo.io.script.get({
					url: api_url,
					content: { query: query},
					callbackParamName: 'callback',
					load: function(resp) { acilma_ekle(resp, ayet); }
				});
			});
		});
	}

	var acilma_ekle = function(json, node) {
		new dijit.Tooltip({
			connectId: [node],
			position: ['below'],
			label: json.scripture
		});
	}

	djConfig = {
		afterOnLoad: true,
		usePlainJson: true,
		addOnLoad: incilinfo_init
	};

	if (typeof(dojo) == 'undefined') {
		var d = document.getElementsByTagName("head")[0].appendChild(document.createElement("link"));
		d.type = "text/css";
		d.rel = "stylesheet";
		d.href = "http://ajax.googleapis.com/ajax/libs/dojo/1.5/dijit/themes/tundra/tundra.css";

		var j = document.getElementsByTagName("head")[0].appendChild(document.createElement("script"));
		j.type = "text/javascript";
		j.src = "http://ajax.googleapis.com/ajax/libs/dojo/1.5/dojo/dojo.xd.js";

	}
})()
